From 88aff7dc703f548b50697bb28a2ff0fc0dfe3a43 Mon Sep 17 00:00:00 2001
From: "James P. Harvey" <jamespharvey20@gmail.com>
Date: Sun, 26 May 2019 21:52:37 -0400
Subject: [PATCH] Add warning about following case of preSetUp()

Spent too much time figuring out why I was getting an error of "object
has no attribute 'rule'".  Perhaps it's correct spelling and grammer for
"set up" to be two words here, being used as a verb, but I wasn't
expecting that.  Maybe this will help someone someday.

Signed off by: James P. Harvey <jamespharvey20 at gmail dot com>
---
 README | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/README b/README
index c90315e..e7f07d2 100644
--- a/README
+++ b/README
@@ -160,6 +160,9 @@ class NamcapPkgnameInDescTest(PkgbuildTest):
 
 * the preSetUp() method sets the rule to be used in the test
 
+* note the case, using preSetup() will cause the error "object has no attribute
+  'rule'"
+
 * the test_example1() method runs the rule on the given PKGBUILD and
   tests whether the results are as expected
 
-- 
2.21.0

